Subject: Re: [AAA-WG]: Re: AAAH must be stateful

From: Joe Lau <[email-masked]>
Date: Thu, 4 Oct 2001 12:58:44 -0700 (PDT)

> > I am very interested on learning how to achieve this w/o requiring the 
> > AAAh to maintain session states because I am facing such a problem right
> > now.  Can you give more details on how you can achieve your last statement?
> > 
> > 	 "Thus you can extract it for the next amr and use it."
> > 
> > 
> > Please use the following example.
> > 
> >         AMR(session_id_1) -------------------+
> >                                              |
> >                                              +------------> AAAh (stateless)
> >                                              |              |  |
> >         AMR(session_id_2) -------------------+              |  |
> >                                                             |  |
> >                                                   HAR(sid_3)|  | HAR(sid_4)
> >                                                             |  |
> >                                                             v  v
> >                                                             Home Agent
> > 
> > The two AMR's came from different FA's, so session_id_1 != session_id_2
> > But the draft says sid_3 must equal sid_4 on the HAR's.
> 
> It seems like the HA must be able to deal with receiving different
> session-id's for the same session anyway, since the AMRs may go to
> different AAAH's.  (Section 1.3 "Support for Mobile-IP Handoffs" says
> that "it is quite likely the AMR for a handoff will be received by
> a different AAAH".)

The HA is not is the question on the table :=)

The question is the draft says:

	 ... ,the AAAH MUST use the _same_ session id for _all_ HARs
	initialed on behalf of a given mobile node's session.

Since this is a MUST, then we need to know how to achieve this requirement 
on a stateless AAAh (if AAAh is not required to be stateful).

This is the problem statement for our current discussion. 

Joe Lau

---

From: "Bob Kopacz" <[email-masked]>
Date: Thu, 4 Oct 2001 16:41:30 -0400

Hi Joe,

> -----Original Message-----
> From: Joe Lau [mailto:[email-masked]]
> Sent: Thursday, October 04, 2001 3:59 PM
> To: [email-masked]
> Cc: [email-masked]
> Subject: Re: [AAA-WG]: Re: AAAH must be stateful
> 
> 
> > >                                                   HAR(sid_3)|  | 
> HAR(sid_4)

Alternatively, we could question why the above statement is a MUST.  If the
HA has to deal with receiving different session-id's for the same session
(in the case where a handoff AMR goes to a different AAAH), then what
does the above requirement buy you?  This is just a draft, where MUSTs 
are revised to MAYs and vice versa.

I think the real question you raised, which is a very good one, is whether
the AAAH MUST be session stateful, or whether a reasonable implementation could
be done with a session-stateless server.  Then statements such as the 
above could be made consistent with that decision.

Thank you for pushing this stateful-v-stateless question; hopefully
it will be resolved soon.

> Joe Lau 

Take care,
Bob K.